<%@page import="com.xerox.docushare.lifecyclemanager.logs.LifecycleManagerLogs"%>
<%@page import="com.xerox.docushare.impl.util.DSUtil"%>
<%@page import="com.xerox.docushare.amber.util.AmberUtility"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.ProjectUtils"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.CollectionManager"%>
<%/**
*
* <p>Description:A tool for administrator to select Properties to be shown in the notification sent.</p>
*
* <p>Copyright: Copyright (c) 2011</p>
*
* <p>Company: Xerox Docushare Professional Services</p>
*
* @author Anubha Khurana
* 
* @version 1.0
**/ %>

<%@page import="com.xerox.docushare.amber.util.XSLTMessage"%>
<%@page import="java.util.Collections"%>
<%@page import="java.util.LinkedList"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.*"%>
<%@page import="java.io.IOException"%>
<%@page import="com.xerox.docushare.lifecyclemanager.constants.LifecycleManagerConstants"%>
<%@page import="java.util.ListIterator"%>
<%@page import="java.io.FileWriter"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.util.List"%>
<%@page import="java.io.FileReader"%>
<%@page import="java.io.BufferedWriter"%>
<%@page import="java.io.BufferedReader"%>
<%@page import="com.xerox.docushare.lifecyclemanager.csvreporting.CSVReportingFunctions"%>
<%@page import="com.xerox.docushare.license.DSLicense"%>

<%@ include file="includes/sessionPageMethods.jsp" %>
<%@ include file="../jsp/common/start.jsp" %> 
<%@ include file="ReportingTool/includeL10N.jsp" %>


<%
	if (dssession == null) {
	  out.println(AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.dssession_null", currentLocale)));
	  return;
	}
	String contextRoot = LifecycleManagerConstants.DS_CONTEXT_ROOT;

	boolean isLMLicensed = dssession.isEnabled(LifecycleManagerConstants.LCM_LICENCE);  // DS7 AR31700
	if(!isLMLicensed) return;
	
	String actionStatus = "";
	String url="";
	
	String selectedObject = request.getParameter( "classname" );
	
	   StringBuffer propCheck = new StringBuffer();
	   propCheck.append("notificationColumns-");
	   propCheck.append(selectedObject);
	   propCheck.append("=");
    //Get the Property FileName
    String propsFile = DSUtil.getConfigLocation("com.xerox.docushare.lifecyclemanager.config", "LifecycleManager.properties");
        if(request.getParameter("submit") != null){
    	String[] property = request.getParameterValues("selected_flds[]");
		BufferedReader reader = null;
		BufferedWriter outFile = null;
		boolean propAddAlready= false;
		try{
			
			reader = new BufferedReader(new FileReader(propsFile));
			List<String> fileContentList = new ArrayList<String>(); 
			
	        String text = null;
	        while((text = reader.readLine()) != null)
				fileContentList.add(text);
			 outFile = new BufferedWriter(new FileWriter(propsFile));
			 ListIterator<String> listIterator = fileContentList.listIterator();
			 while(listIterator.hasNext()){
				 String lineContent = listIterator.next();
				 if(lineContent.indexOf(propCheck.toString()) != -1){
					 outFile.write(propCheck.toString());
					 for(int i=0; i<property.length; i++){
						 outFile.write(property[i]);
						 if(i != property.length - 1)
							 outFile.write("::");
						 else
							 outFile.write(System.getProperty("line.separator"));
					 }
					 propAddAlready = true;
				 }else{
					 outFile.write(lineContent);
					 outFile.write(System.getProperty("line.separator"));
			 	 }
			 }
			 outFile.close();
			 if(!propAddAlready){
				 outFile = new BufferedWriter(new FileWriter(propsFile,true));
				 outFile.write(System.getProperty("line.separator"));
				 System.out.println("Prop not present already ...added now");
				 outFile.write(propCheck.toString());
				 for(int i=0; i<property.length; i++){
					 outFile.write(property[i]);
					 if(i != property.length - 1)
						 outFile.write("::");
					 else
						 outFile.write(System.getProperty("line.separator"));
				 }
			 }
			 actionStatus = AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.selected_prop_updated", currentLocale)) ;
		}catch(Exception e){
			LifecycleManagerLogs.logger.error("Exception 3 in SelectPropertiesForReport.jsp" , e);
		} finally
        {
            try
            {
                if (reader != null)
                {
                    reader.close();
                }
                if (outFile != null)
                {
                	outFile.close();
                }
            } catch (IOException e)
            {
            	LifecycleManagerLogs.logger.error("Exception 3 in SelectPropertiesForReport.jsp", e);
            }
        }
	}
%>

<script language="javascript">
	function addOption(selectbox,text,value )
	{
		var optn = document.createElement("OPTION");
		optn.text = text;
		optn.value = value;
		selectbox.options.add(optn);
	}
	
	function removeOptions(selectbox)
	{
		var i;
		for(i=selectbox.options.length-1;i>=0;i--)
		{
			//if there is no match than remove
			if(selectbox.options[i].selected){
			 	selectbox.remove(i);
			}
		}
	}
	
	function addToGroup(){
		box = document.ToolbarMulti.select_flds;
		addToBox = document.ToolbarMulti.selected_flds;
		for(var i=0; i<document.getElementById("select_flds").options.length; i++){
			if(box.options[i].selected){
				//Before adding it as a new OPTION, check if its already in the List
				var alreadyInList = false;
				for(var j=0; j<document.getElementById("selected_flds").options.length; j++)
					if(addToBox.options[j].value == box.options[i].value){
						alert(box.options[i].text + " <%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.alert_is_already_selected", currentLocale)) %>");
						alreadyInList = true;
						break;
					}
				if(alreadyInList == false)		
					addOption(addToBox, box.options[i].text, box.options[i].value);
			}
		}
	}
	
	function moveUp(element) {
	  for(i = 0; i < element.options.length; i++) {
	    if(element.options[i].selected == true) {
	      if(i != 0) {
	        var temp = new Option(element.options[i-1].text,element.options[i-1].value);
	        var temp2 = new Option(element.options[i].text,element.options[i].value);
	        element.options[i-1] = temp2;
	        element.options[i-1].selected = true;
	        element.options[i] = temp;
	      }
	    }
	  }
	}
	
	function moveDown(element) {
	  for(i = (element.options.length - 1); i >= 0; i--) {
	    if(element.options[i].selected == true) {
	      if(i != (element.options.length - 1)) {
	        var temp = new Option(element.options[i+1].text,element.options[i+1].value);
	        var temp2 = new Option(element.options[i].text,element.options[i].value);
	        element.options[i+1] = temp2;
	        element.options[i+1].selected = true;
	        element.options[i] = temp;
	      }
	    }
	  }
	}
	
	function validateForm(){
		//Select all the indexes in selected_flds selectbox so that they can be accessed after submitting the form
		if(document.getElementById("selected_flds").options.length <= 0){
			alert("<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.alert_select_prop", currentLocale)) %>");
			return false;
		}
		
		var selectedValue =[];
		var getEachValue;
		
		for(var i=0; i<document.getElementById("selected_flds").options.length; i++){
			document.getElementById("selected_flds").options[i].selected = "selected";
			getEachValue = document.getElementById("selected_flds").options[i].value;
			selectedValue.push(getEachValue);
		}
		var ObjectType =document.getElementById("selectedObject").value;
		$("div#jspload").load("SelectPropertiesForNotificationSub.jsp",{ classname: ObjectType,submit :"submit",selected_flds:selectedValue });
		return false;
	}
</script>

<script>
$(document).ready(function() {
// Removing properties from selected fields box in case the property is not present in the possible proeprties box
	$('#selected_flds option').each(function() {
		var matchFound = false;
		var selectedValue = $(this).val();
			$('#select_flds option').each(function() {
				if($(this).val()===selectedValue)
					matchFound=true;
			});			
	     if(!matchFound) {	    	
	        $(this).remove();
	    } 
	});	
});
</script>
<P/>
	  
	<div id="content">
		<head>
			<p id='statusId' class="statusDiv"><%= actionStatus %></p>
		</head>
		<FORM NAME="ToolbarMulti" METHOD="POST">
			<fieldset>
				<legend></legend>
			    <table cellpadding=4 cellspacing=2 border=0 width=55%>
				  <tr>
				    <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.possible_properties" + "&amp;key=" + "lifeCycleManager.possible_properties_notify_help"; %>
	             			
				    <td align="right" valign="top" nowrap="true">
				    	<a href="javascript:openHelpTextWindow('<%= url %>');"><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.possible_properties", currentLocale)) %></a>:
				    </td>
				    <td><select name="select_flds" id="select_flds" multiple="multiple" size="8" style="width:400px;">
				    	<% 	List<String> propertyNameList = new LinkedList<String>();
						List<String> propList = null;
						propList = DSObjectPropertyManager.getAllPropertyNames(selectedObject, dssession, propList, propertyNameList, request); 
						//remove title which is hard code as first colunm
						propList.remove(AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.title", currentLocale)) +" Value:Object.title"); 
						Collections.sort(propList);
				   		   ListIterator<String> listIterator = propList.listIterator();
				   		    while(listIterator.hasNext()){
					    		String strLabelAndName = (String)listIterator.next();
					    		String strLabel = strLabelAndName.substring(0,strLabelAndName.indexOf(" Value:"));
					    		String strValue = strLabelAndName.substring(strLabelAndName.indexOf(" Value:") + " Value:".length());
				    		    %>
				    			<option value="<% out.print(strValue); %>">
				    				<% out.print(strLabel); %>
				    			</option>		    		
				    	<% }%>
					</select></td>
				  </tr>
				  <tr>
				  	 <td></td>
				  	 <td align="center" colspan="2">
				  	 	<input type="button" class="bs submit-simple" name="DownArrowAdd" value="<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.add", currentLocale)) %> &darr;" title="Add " onClick="addToGroup();">
				  	 	<input type="button" class="bs submit-simple" name="UpArrowRemove" value="<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.remove", currentLocale)) %> &uarr;" title="Remove" onClick="removeOptions(document.ToolbarMulti.selected_flds);">
				     </td>
				  </tr>
				  <tr>
				    <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.selected_properties" + "&amp;key=" + "lifeCycleManager.selected_properties_notify_help"; %>
	             	<td align="right" valign="top" nowrap="true">
				    	<a href="javascript:openHelpTextWindow('<%= url %>');"><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.selected_properties", currentLocale)) %></a>:
				    </td>
				    <td><select name="selected_flds" id="selected_flds" multiple="multiple" size="8" style="width:400px;">
				    		<%List<String> fileContentList = FileUtils.getNotificationColumnsByObjectType(selectedObject);
				    		ListIterator<String> listIterator1 = fileContentList.listIterator();
							while(listIterator1.hasNext()){
								String value = listIterator1.next();								
								String propertyLabel = DSObjectPropertyManager.getPropertyLabel(dssession, value, request);
								if(!propertyLabel.equals("")){
				    		%>
					    			<option value="<% out.print(value); %>">
					    				<% out.print(propertyLabel); %>
					    			</option>
				    			<%}
				    		}%>
				        </select>
				    </td>
				  </tr>
				  <tr>
				     <td></td>
				     <td align="center">
				       <input type="button" class="bs submit-simple" name="MoveUp" value="<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.move_up", currentLocale)) %>" onClick="moveUp(document.getElementById('selected_flds'));" title="MoveUp" >
				       <input type="button" class="bs submit-simple" name="MoveDown" value="<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.move_down", currentLocale)) %>" onClick="moveDown(document.getElementById('selected_flds'));" title="MoveDown" >
				     </td>
				  </tr>
				  <tr>
				  	<td></td>
				  	<td align="center" class="submit-group">
        	     	    <input type="button" name="submit" value="<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.apply", currentLocale)) %>" class="bs submit" onClick="return validateForm();"/>
					   	<input type="button" name="cancel" value="<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.cancel", currentLocale)) %>" class="bs submit" onClick="location.href='SelectPropertiesForNotification.jsp'"/>
					</td>
				  </tr>
				 </table>
				 <br/>
			    <div id="contents_anchor">
				    <table width="0" border="0" cellspacing="0" cellpadding="0">
						<tr>
						<td width="0"><a name="contents"><img src="<%=contextRoot %>/images/small/spacesep.gif" border="0" height="1" width="1" /></a></td>
						</tr>
				    </table>
			    </div>
			</fieldset>	
		<input type="hidden" id="selectedObject" value='<%=selectedObject%>'/>
		</form>
		</P>

<%@ include file="../jsp/common/end.jsp" %>
