
<%/**
   * Copyright: Copyright (c) 2009
   * Company: Xerox Corporation
   * @author Anubha Khurana
   * @version 1.0
**/ %>

<%@page import="com.xerox.docushare.lifecyclemanager.util.CollectionManager"%>
<%@page import="com.xerox.docushare.lifecyclemanager.constants.LifecycleManagerConstants"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.ProjectUtils"%>
<%@page import="com.xerox.docushare.amber.util.MessageDB"%>
<%@page import="java.util.Calendar"%>
<%@page import="jp.co.fujixerox.docushare.amber.WebRequest" %>

</div>
<script type="text/javascript"  src="<%=base%>javascript/common/ds_routing.js"></script>

<%
  //Added for AR 26561
  String dsOnWeb = "";
  String dsOnWebUrl = "";
  String xeroxLogoURL = "";
  String xeroxLogoLabel = "";

  Boolean enableQuickSearch = WebRequest.is_licensed(dssession, "file_cabinet_replacement");

  if(ProjectUtils.getMarket(mDSSession).equalsIgnoreCase("fx")){
    dsOnWeb = hfMessageObj.get("dsOnWebFX", currentLocale); 
    dsOnWebUrl = hfMessageObj.get("dsOnWebUrlFX", currentLocale); 
    xeroxLogoURL = MessageDB.get("scan_fujixerox_URL", currentLocale);
    xeroxLogoLabel = MessageDB.get("scan_fujixerox_URL_text", currentLocale);
  }else{
    dsOnWeb = hfMessageObj.get("dsOnWeb", currentLocale);
    dsOnWebUrl = hfMessageObj.get("dsOnWebUrl", currentLocale);
    xeroxLogoURL = MessageDB.get("scan_xerox_URL", currentLocale);
    xeroxLogoLabel = MessageDB.get("scan_xerox_URL_text", currentLocale);
  }
%>
  
<div id="siteFooter_line" class="footer footer--lcm">
  <div class="footer__pre">
    <div class="footersitelinks">
      <ul class="footer__column">
        <% if(!principal.isGuestUser()) { %>
          <li><a href="<%=base%>dsweb/Registry"><%= hfMessageObj.get("usersGroups", currentLocale) %></a></li>
        <%}%>
        <% if(dssession.isAdmin(principal.ANY_ADMIN_ALL)){ %>
          <li><a href="<%=base%>jsp/admin/Main.jsp"><%= hfMessageObj.get("adminHome", currentLocale) %></a></li>
        <% } %>
      </ul>
      <ul class="footer__column">
        <% if(enableQuickSearch) { %>
          <li class="first"><a href="<%=base%>dsweb/QuickSearchHome"><%= hfMessageObj.get("quickSearchHome", currentLocale) %></a></li>
        <% } %>
        <li class="first"><a target="_parent" href="<%=base%>dsweb/ClassicHome"><%= hfMessageObj.get("classicHome", currentLocale) %></a></li>
      </ul>
      <ul class="footer__column">
        <li><a href="<%=base%>dsweb/helpdesk"><%= hfMessageObj.get("help", currentLocale) %></a></li>
        <li><a href="<%=base%>dsweb/Index/Site?init=true"><%= hfMessageObj.get("contentMap", currentLocale) %></a></li>
      </ul>
      <ul class="footer__column">
        <li><a href="<%=base%>dsweb/About"><%= hfMessageObj.get("about", currentLocale) %></a></li> 
        <li><a href="<%=base%>dsweb/Stats"><%= hfMessageObj.get("siteStatistics", currentLocale) %></a></li>  
        <li><a href="<%=base%>dsweb/SiteServerStats"><%= hfMessageObj.get("serverStatistics", currentLocale) %></a></li> 
      </ul>
      <ul class="footer__column">
        <li><a href="<%=base%>dsweb/CookiesInfo"><%= hfMessageObj.get("cookies", currentLocale) %></a></li>
        <li><a href="<%= dsOnWebUrl %>" target="_blank"><%= dsOnWeb %></a></li>
      </ul>
    </div>    
  </div>

<%
  Calendar calender = Calendar.getInstance();
    int year = calender.get(Calendar.YEAR);

  //Added for AR 32771
  if(ProjectUtils.getMarket(mDSSession).equalsIgnoreCase("fx")){
%> 
  <div id="subfooter" class="FXfooter__sub">          
    <div id="subfooter_inner">
      <p rel="copyright" id="copyright_text"><%= hfMessageObj.get("copyrightText_1", currentLocale) %> 1996-<%= year %> <%= hfMessageObj.get("copyrightText_2", currentLocale) %></p>
      <div class="FXfooterbranding">
        <a href="<%= xeroxLogoURL %>" title="<%= xeroxLogoLabel %>"><span>&nbsp;</span><%= xeroxLogoLabel %></a> 
      </div>
    </div>
  </div>
<%
  } else {
%>
  <div id="subfooter" class="footer__sub">          
    <div id="subfooter_inner">
      <p rel="copyright" id="copyright_text"><%= hfMessageObj.get("copyrightText_1", currentLocale) %> 1996-<%= year %> <%= hfMessageObj.get("copyrightText_2", currentLocale) %></p>
      <div class="footerbranding">
        <a href="<%= xeroxLogoURL %>" title="<%= xeroxLogoLabel %>"><span>&nbsp;</span><%= xeroxLogoLabel %></a> 
      </div>
    </div>
  </div>
<%
  }
%>
</div>

</body>
</html>

