<%@page import="com.xerox.docushare.lifecyclemanager.logs.LifecycleManagerLogs"%>
<%@page import="com.xerox.docushare.lifecyclemanager.action.LCMActionInService"%>
<%@page import="com.xerox.docushare.DSHandle"%>
<%@page import="java.util.List"%>
<%@page import="com.xerox.docushare.lifecyclemanager.constants.LifecycleManagerConstants"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display" %>


<%@ include file="Header.jsp" %>

<%
    String pageTitle = "Lifecycle Manager Policy Preview";
    String returnValue = "404";
	if(dssession == null)
	{
 		LifecycleManagerLogs.logger.error("dssession in previewResult.jsp: " + dssession); 		
 		response.getWriter().write(returnValue);
 	}
	
	response.setHeader("Cache-Control","max-age=300, must-revalidate");
	DSServer serverObject = dssession.getServer();
 	
 	String policyTitle = (request.getParameter("trigger") != null)? request.getParameter("trigger"): "";
	String loginUser = (request.getParameter("loginUser") != null)? request.getParameter("loginUser"): ""; 
	String ownerEmail = (request.getParameter("ownerEmail") != null)? request.getParameter("ownerEmail"): ""; 
	String messageString[] = {policyTitle, loginUser, ownerEmail};
	String previewMsg = AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.preview_msg", messageString, currentLocale));
	String policyRunTimeMsg = AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.run_time_msg", currentLocale));
	String policyNoEmailMsg = AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.preview_no_email_msg", currentLocale));
 %>

<!DOCTYPE html>
<html>
	<head>
		<title><%=AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.policy_preview_title", currentLocale))%></title>
		<%@ include file="cssInclude.jsp" %>
		<link rel="stylesheet" href="css/displaytag_reports.css" type="text/css" />
		
		<style>
			.displayWidth{width:100%;}
		</style>

	</head>
	<body>
	<%@ include file="logoHeading.jsp" %>

	<div id="generic_title">    
    	<h1><%=AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.policy_preview_title", currentLocale))%></h1>
    </div>
	<div id="content">
	<form name="previewInfoForm" action="" target="" method="">
	<% if(ownerEmail == null || ownerEmail.equals("")) {%>
	<p><%=policyNoEmailMsg%></p>
	<%}else{%>
	 <p><%=previewMsg%></p>
	 <p><%=policyRunTimeMsg%></p>
	 <%}%>
	 <br/>
	</form>
	<form name='redirectForm'>
		<input type='button' class="bs submit" value='<< <%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.go_back", currentLocale))%>' onClick='this.form.action="<%=LifecycleManagerConstants.DS_LINK + LifecycleManagerConstants.DS_CONTEXT_ROOT%>LifecycleManager/PolicyListing.jsp";this.form.submit();'/>
	</form>
</div>

<%@ include file="Footer.jsp" %>