<%@page import="com.xerox.docushare.lifecyclemanager.logs.LifecycleManagerLogs"%>
<%/**
 * Copyright: Copyright (c) 2011
 * Company: Xerox Docushare Professional Services
 * @author Anubha Khurana
 * @version 1.0
 */ %>
<%@page import="com.xerox.docushare.object.DSGroup"%>
<%@page import="com.xerox.docushare.object.DSUser"%>
<%@page import="com.xerox.docushare.DSObject"%>
<%@page import="java.util.List"%>
<%@page import="com.xerox.docushare.lifecyclemanager.search.SearchAllUserAndGroups"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.DSUtils"%>
<%@page import="com.xerox.docushare.lifecyclemanager.dbo.DBManager"%>
<%@page import="com.xerox.docushare.lifecyclemanager.constants.LifecycleManagerConstants"%>
<%@page import="java.util.StringTokenizer"%> <%-- DS7 AR27924 --%>

<%@ include file="includes/sessionPageMethods.jsp" %>
<%@ include file="../jsp/common/start.jsp" %>

 <%
    //DSSession dssession = DSUtils.getAdminSession(logger); 
 	String returnValue = "policyTitleExist=true{SEP}validHandle=inValid{SEP}userHandle=none{SEP}groupHandle=none{SEP}";  // DS7 AR27924
 	String policyTitelExist = "true";
 	String validHandle = "false";
	
 	if(dssession == null){
 		LifecycleManagerLogs.logger.error("dssession in CheckFormValuesWithAJAX.jsp: " + dssession); 		
 		response.getWriter().write(returnValue);
 	}
		
 	String policyTitle = (request.getParameter("title") != null)? request.getParameter("title").trim(): "";
 	String policyId = (request.getParameter("policyId") != null)? request.getParameter("policyId"): "0";
	String dsHandle = (request.getParameter("handle") != null)? request.getParameter("handle"): "";
	// Start : DS7 AR27924
	String userName = (request.getParameter("userName") != null)? request.getParameter("userName").trim(): "";
	String userHandle = "";
	String groupName = (request.getParameter("groupName") != null)? request.getParameter("groupName").trim(): "";
	String groupHandle = "";
	// End : DS7 AR27924
	//Check Policy Title
	try{
		if(!policyTitle.equals(""))
			policyTitelExist = DBManager.getInstance().getPolicyTitleExist(policyTitle, policyId); 
		
		if(policyTitelExist.equals(""))
			policyTitelExist = "false";
		else
			policyTitelExist = "true";		
	}catch(Exception ex){
		LifecycleManagerLogs.logger.error("Exception while checking for valid policy title: CheckFormValuesWithAJAX.jsp",ex);
	}
	
	//Check Collection Handle
	try{
		if(!dsHandle.equals(""))
			validHandle = DSUtils.isValidHandle(dssession, dsHandle);
		
	}catch(Exception ex){
		LifecycleManagerLogs.logger.error("Exception while checking for valid handle: CheckFormValuesWithAJAX.jsp",ex);
	}
	
	// Start : DS7 AR27924
	StringTokenizer userNameToken = null;
	StringTokenizer groupNameToken = null;
    String strUserHandle = "";
	String strGroupHandle = "";
	try{
		if(!userName.equals(""))
		{
			userNameToken = new StringTokenizer(userName, ",");
            while(userNameToken.hasMoreTokens())
            {
                String token = userNameToken.nextToken().trim();
                if(token != null && !(token.equals("")))
			    {   
					strUserHandle = "";
				    if (token.indexOf("(") == -1 || token.indexOf(")") == -1)
					{
					    List<DSObject> dsUsersListObj = SearchAllUserAndGroups.searchForMatchingEmailOrUsername(dssession, "User", token, 1, 1);
		                //Iterate through all the users
 		                for(int i=0; i<dsUsersListObj.size(); i++)
					    {
 			                DSUser userObj = (DSUser)dsUsersListObj.get(i);
 			                strUserHandle = userObj.getHandle().toString();
 		                }
					}
				    else
				    {
 			            strUserHandle = token.substring(token.indexOf("(") +1, token.indexOf(")"));
						strUserHandle = strUserHandle.trim();
					}
					//Check that the handle is a valid handle
					if(strUserHandle.equals(""))
					{
						userHandle = "";
						break;
					}
					else
					{
					    DSObject obj = null;
					    try{
					        obj = dssession.getObject(new DSHandle(strUserHandle));
						}catch(Exception ex){
							userHandle = "";
							LifecycleManagerLogs.logger.error("Exception in CheckFormValuesWithAJAX.jsp while retrieveing the user object for handle:"+strUserHandle,ex);
							break;
						}

						if(!obj.isTypeOf("User"))
						{	
					        userHandle = "";
						    break;
						}
					}
				}
				userHandle += strUserHandle + ","; 
			}
		}
		if(!groupName.equals(""))
		{
			groupNameToken = new StringTokenizer(groupName, ",");
            while(groupNameToken.hasMoreTokens())
            {
                String token = groupNameToken.nextToken().trim();
                if(token != null && !(token.equals("")))
			    {
					strGroupHandle = "";
				    if (token.indexOf("(") == -1 || token.indexOf(")") == -1)
					{
			            List<DSObject> dsGroupsListObj = SearchAllUserAndGroups.searchForMatchingEmailOrUsername(dssession, "Group", groupName, 1, 1);
			            //Iterate through all the groups
	 		            for(int i=0; i<dsGroupsListObj.size(); i++)
			            {
	 			            DSGroup groupObj = (DSGroup)dsGroupsListObj.get(i);
	 			            strGroupHandle = groupObj.getHandle().toString();
	 		            }
					}
				    else
				    {
 			            strGroupHandle = token.substring(token.indexOf("(") +1, token.indexOf(")"));
						strGroupHandle = strGroupHandle.trim();
					}
					
					if(strGroupHandle.equals(""))
					{
						groupHandle = "";
						break;
					}
					else
					{ 
						DSObject obj = null;
					    try{
					        obj = dssession.getObject(new DSHandle(strGroupHandle));
						}catch(Exception ex){
							groupHandle = "";
							LifecycleManagerLogs.logger.error("Exception in CheckFormValuesWithAJAX.jsp while retrieveing the user object for handle:"+strUserHandle,ex);
							break;
						}
						if(!obj.isTypeOf("Group"))
						{
					        groupHandle = "";
						    break;
						}
                    }
				}
				groupHandle += strGroupHandle + ",";
			}
		}
	}catch(Exception ex){
		LifecycleManagerLogs.logger.error("Exception while getting valid handle for user or group: CheckFormValuesWithAJAX.jsp",ex);
	}
	returnValue = "policyTitleExist=" + policyTitelExist + "{SEP}validHandle=" + validHandle + "{SEP}userHandle=" + userHandle + "{SEP}groupHandle=" + groupHandle + "{SEP}";
	// End : DS7 AR27924
	LifecycleManagerLogs.logger.debug("returnValue " + returnValue);
	response.getWriter().write(returnValue);
%>

<%@ include file="../jsp/common/end.jsp" %>