<%@page import="com.xerox.docushare.lifecyclemanager.logs.LifecycleManagerLogs"%>
<%@page import="com.xerox.docushare.impl.util.DSUtil"%>
<%@page import="com.xerox.docushare.amber.util.AmberUtility"%>
<%@page import="com.xerox.docushare.impl.DSMainConstants"%>
<%@page import="com.xerox.docushare.lifecyclemanager.constants.LifecycleManagerConstants"%>
<%@page import="com.xerox.docushare.license.DSLicense"%>
<%@page import="com.xerox.docushare.amber.util.XSLTMessage"%>
<%@page import="com.xerox.docushare.amber.util.ThirdPartyMessageDB"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.DSObjectPropertyManager"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.PropertyManager"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.DocumentManager"%>
<%@ page import="com.xerox.docushare.lifecyclemanager.csvreporting.*"%>
<%@ page import="java.util.*" %>
<%@page import="java.io.BufferedReader"%>
<%@page import="java.io.FileReader"%>
<%@page import="java.io.IOException"%> 
<%@page import="java.io.FileWriter"%>
<%@page import="java.io.BufferedWriter"%>
<%/**
*
* <p>Description:A tool for administrator to select Properties to be shown in CVS file.</p>
*
* <p>Copyright: Copyright (c) 2009</p>
*
* <p>Company: Xerox Docushare Professional Services</p>
*
* @author Anubha Khurana
* 
* @version 1.0
**/ %>


<%
	String actionStatus = "";
	String url="";
	
    //Get the Property FileName
    String propsFile = DSUtil.getConfigLocation("com.xerox.docushare.lifecyclemanager.config", "LifecycleManager.properties");
	
    if(request.getParameter("submit") != null){
		BufferedReader reader = null;
		BufferedWriter outFile = null;
		 
		try{
			
			reader = new BufferedReader(new FileReader(propsFile));
			List<String> fileContentList = new ArrayList<String>(); 
			
	        String text = null;
	        while((text = reader.readLine()) != null)
				fileContentList.add(text);
			 outFile = new BufferedWriter(new FileWriter(propsFile));
			 ListIterator<String> listIterator = fileContentList.listIterator();
			 while(listIterator.hasNext()){
				 String lineContent = listIterator.next();
				 if(lineContent.indexOf("propertiesToAdd=") != -1){
					 String[] property = request.getParameterValues("selected_flds");
					 outFile.write("propertiesToAdd=");
					 for(int i=0; i<property.length; i++){
						 outFile.write(property[i]);
						 if(i != property.length - 1)
							 outFile.write("::");
						 else
							 outFile.write(System.getProperty("line.separator"));
					 }
				 }else if(lineContent.indexOf("includeObjectName=") != -1){
					  	  if(request.getParameter("includeObjectName") != null)
							outFile.write("includeObjectName=true");
					  	  else
					  		 outFile.write("includeObjectName=false");
					  	  outFile.write(System.getProperty("line.separator"));
				 }else{
					 outFile.write(lineContent);
					 outFile.write(System.getProperty("line.separator"));
			 	 }
			 }
			 actionStatus = AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.selected_prop_updated", currentLocale)) ;
			 
		}catch(Exception ex){
			LifecycleManagerLogs.logger.error("Exception 1 in SelectPropertiesForReport.jsp", ex);
		} finally
        {
            try
            {
                if (reader != null)
                {
                    reader.close();
                }
                if (outFile != null)
                {
                	outFile.close();
                }
            } catch (IOException e)
            {
            	LifecycleManagerLogs.logger.error("Exception 2 in SelectPropertiesForReport.jsp", e);
            }
        }
	}
%>

<script language="javascript">
	function addOption(selectbox,text,value )
	{
		var optn = document.createElement("OPTION");
		optn.text = text;
		optn.value = value;
		selectbox.options.add(optn);
	}
	
	function removeOptions(selectbox)
	{
		var i;
		for(i=selectbox.options.length-1;i>=0;i--)
		{
			//if there is no match than remove
			if(selectbox.options[i].selected){
			 	selectbox.remove(i);
			}
		}
	}
	
	function addToGroup(){
		box = document.ToolbarMulti.select_flds;
		addToBox = document.ToolbarMulti.selected_flds;
		for(var i=0; i<document.getElementById("select_flds").options.length; i++){
			if(box.options[i].selected){
				//Before adding it as a new OPTION, check if its already in the List
				var alreadyInList = false;
				for(var j=0; j<document.getElementById("selected_flds").options.length; j++)
					if(addToBox.options[j].value == box.options[i].value){
						alert(box.options[i].text + " <%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.alert_is_already_selected", currentLocale)) %>");
						alreadyInList = true;
						break;
					}
				if(alreadyInList == false)		
					addOption(addToBox, box.options[i].text, box.options[i].value);
			}
		}
	}
	
	function moveUp(element) {
	  for(i = 0; i < element.options.length; i++) {
	    if(element.options[i].selected == true) {
	      if(i != 0) {
	        var temp = new Option(element.options[i-1].text,element.options[i-1].value);
	        var temp2 = new Option(element.options[i].text,element.options[i].value);
	        element.options[i-1] = temp2;
	        element.options[i-1].selected = true;
	        element.options[i] = temp;
	      }
	    }
	  }
	}
	
	function moveDown(element) {
	  for(i = (element.options.length - 1); i >= 0; i--) {
	    if(element.options[i].selected == true) {
	      if(i != (element.options.length - 1)) {
	        var temp = new Option(element.options[i+1].text,element.options[i+1].value);
	        var temp2 = new Option(element.options[i].text,element.options[i].value);
	        element.options[i+1] = temp2;
	        element.options[i+1].selected = true;
	        element.options[i] = temp;
	      }
	    }
	  }
	}
	
	function validateForm(){
		//Select all the indexes in selected_flds selectbox so that they can be accessed after submitting the form
		if(document.getElementById("selected_flds").options.length <= 0){
			alert("<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.alert_select_prop", currentLocale)) %>");
			return false;
		}
		for(var i=0; i<document.getElementById("selected_flds").options.length; i++){
			document.getElementById("selected_flds").options[i].selected = "selected";
		}
		return true;
	}
</script>

<P/>
  
<div id="content">
	<head>
		<center><p id='statusId' class="statusDiv"><%= actionStatus %></p></center>
	</head>
	<FORM NAME="ToolbarMulti" METHOD="POST">
		<fieldset class="widthed">
			<legend></legend>
		    <table cellpadding=4 cellspacing=2 border=0 width=55%>
			   <%
			      CSVReportingFunctions reportObject = new CSVReportingFunctions();
			   	  List<String> allCustomDocuments =DocumentManager.getAllCustomObjectsOfDocuments(dssession);
			      List<String> propList = null;
			      List<String> propertyNameList = new LinkedList<String>();
			      if(allCustomDocuments.size() > 0){
			    	  for(int j=0; j<allCustomDocuments.size(); j++)
			    		  propList = DSObjectPropertyManager.getAllPropertyNames(allCustomDocuments.get(j), dssession, propList, propertyNameList, request); 
			      }else
			    	  propList = DSObjectPropertyManager.getAllPropertyNames("Document", dssession, propList, propertyNameList, request);
			      
			      propList.add(AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.create_date_latest_version", currentLocale) +" Value:latestVersionDate"));
			      //This is the list of ALL THE properties to be shown in to picklist.
			  	  Collections.sort(propList);
		      	  ListIterator<String> listIterator = propList.listIterator();
				  
		      	  
		      	  //Now read the properties file to check what properties have been selected by the administrator and 
		      	  //saved in the file.
				    BufferedReader reader = null;	
		      	    String includeObjectName = "false";
					List<String> fileContentList = new ArrayList<String>(); 		 
					try{				
						reader = new BufferedReader(new FileReader(propsFile));
						
				        String text = null;
				        while((text = reader.readLine()) != null){
				        	if(text.indexOf("propertiesToAdd=") != -1){
				        		String[] listOfProperties = text.split("\\:\\:");
				        		for(int i=0;i<listOfProperties.length;i++){
				        			if(listOfProperties[i].indexOf("propertiesToAdd=") != -1)
				        				listOfProperties[i] = listOfProperties[i].substring("propertiesToAdd=".length());
				        			fileContentList.add(listOfProperties[i]);
				        		}
				        	}else if(text.indexOf("includeObjectName=true") != -1){
				        				includeObjectName = "true";
				        	}
				        } 
					}catch(Exception ex){
						LifecycleManagerLogs.logger.error("Exception 3 in SelectPropertiesForReport.jsp", ex);
					} finally
			        {
			            try
			            {
			                if (reader != null)
			                {
			                    reader.close();
			                }
			            } catch (IOException e)
			            {
			                
			            }
			        }
				  
				  
			  %>
			  <tr bgcolor="AliceBlue">
			  	<td align="right" valign="top">
			  		<input type="checkbox" name="includeObjectName" id="includeObjectName" value="true"
			  			<%if(includeObjectName.equalsIgnoreCase("true")){%>checked=checked<%}%>
			  		/>
			  	</td>
			  	<td align="left"><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.include_document_object_name", currentLocale)) %></td>
			  </tr>
			  <tr bgcolor="mintcream">
			    <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.possible_properties" + "&amp;key=" + "lifeCycleManager.possible_properties_help"; %>
             			
			    <td align="right" valign="top" nowrap="true">
			    	<a href="javascript:openHelpTextWindow('<%= url %>');"><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.possible_properties", currentLocale)) %></a>:
			    </td>
			    <td><select name="select_flds" id="select_flds" multiple="multiple" size="8" style="width:400px;">
			    	<% while(listIterator.hasNext()){
			    		String strLabelAndName = (String)listIterator.next();
			    		String strLabel = strLabelAndName.substring(0,strLabelAndName.indexOf(" Value:"));
			    		String strValue = strLabelAndName.substring(strLabelAndName.indexOf(" Value:") + " Value:".length());
			    		%>
			    			<option value="<% out.print(strValue); %>">
			    				<% out.print(strLabel); %>
			    			</option>		    		
			    	<% }%>
				</select></td>
			  </tr>
			  <tr bgcolor="AliceBlue">
			  	 <td></td>
			  	 <td align="center">
			  	 	<input type="button" name="add" value='<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.add", currentLocale)) %> \/' onClick="addToGroup();"/>
			     	<INPUT TYPE="button" NAME="remove" VALUE='<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.remove", currentLocale)) %> /\' class="bs" 
			     	       onClick="removeOptions(document.ToolbarMulti.selected_flds);"/>
			     </td>
			  </tr>
			  <tr bgcolor="mintcream">
			    <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.selected_properties" + "&amp;key=" + "lifeCycleManager.selected_properties_help"; %>
             	<td align="right" valign="top" nowrap="true">
			    	<a href="javascript:openHelpTextWindow('<%= url %>');"><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.selected_properties", currentLocale)) %></a> :
			    </td>
			    <td><select name="selected_flds" id="selected_flds" multiple="multiple" size="8" style="width:400px;">
			    		<%
			    		ListIterator<String> listIterator1 = fileContentList.listIterator();
						while(listIterator1.hasNext()){
							String value = listIterator1.next();
							String propertyLabel = DSObjectPropertyManager.getPropertyLabel(dssession, value, request);
							if(!propertyLabel.equals("")){
			    		%>
				    			<option value="<% out.print(value); %>">
				    				<% out.print(propertyLabel); %>
				    			</option>
			    			<%}
			    		}%>
			        </select>
			    </td>
			  </tr>
			  <tr bgcolor="AliceBlue">
			     <td></td>
			     <td align="center">
			       <input type="button" name="up" value="<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.move_up", currentLocale)) %>" onClick="moveUp(document.getElementById('selected_flds'));"/>
			       <INPUT TYPE="button" NAME="down" VALUE="<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.move_down", currentLocale)) %>" class="bs" onClick="moveDown(document.getElementById('selected_flds'));"/>
			     </td>
			  </tr>
			  <tr bgcolor="mintcream">
			  	<td></td>
			  	<td align="center">
				 	<INPUT TYPE="submit" NAME="submit" VALUE="<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.apply", currentLocale)) %>" class="bs" onClick="return validateForm();"/>
				 	<INPUT TYPE="button" NAME="cancel" VALUE="<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.cancel", currentLocale)) %>" class="bs" onClick="location.href='adminTabs.jsp';"/>
				 </td>
			  </tr>
			 </table>
			 <br/>
		    <div id="contents_anchor">
			    <table width="0" border="0" cellspacing="0" cellpadding="0">
					<tr>
					<td width="0"><a name="contents"><img src="<%=contextRoot %>/images/small/spacesep.gif" border="0" height="1" width="1" /></a></td>
					</tr>
			    </table>
		    </div>
		</fieldset>	
	</form>
	</P>
	
