<%@page import="com.xerox.docushare.lifecyclemanager.logs.LifecycleManagerLogs"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.DSUtils"%>
<%/**
   * Copyright: Copyright (c) 2009
   * Company: Xerox Docushare Professional Services
   * @author Anubha Khurana
   * @version 1.0
**/ %>

<%@page import="java.io.File"%>
<%@page import="com.xerox.docushare.lifecyclemanager.csvreporting.CSVReportingFunctions"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.PropertyManager"%>
<%@page import="jp.co.fujixerox.docushare.amber.VDFSession"%>
<%@page import="jp.co.fujixerox.docushare.amber.MyWebRequest"%>
<%@page import="jp.co.fujixerox.docushare.amber.vdf.VDFManager"%>
<%@page import="jp.co.fujixerox.docushare.amber.DSSessionManager"%>
<%@page import="com.xerox.docushare.amber.util.AmberUtility"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.ProjectUtils"%>
<%@page import="com.xerox.docushare.lifecyclemanager.constants.LifecycleManagerConstants"%>
<%@page import="com.xerox.docushare.license.DSLicense"%>
<%@ page import="com.xerox.docushare.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.xerox.docushare.amber.error.RedirectionException" %>
<%@ page extends="com.xerox.docushare.amber.pages.common.SessionPage" %>

<% String pageTitle = "Generate Report";
List<DSHandle> childrenList = new ArrayList<DSHandle>();	
	  %>

<%@ include file="../../jsp/common/start.jsp" %>
<%@ include file="../header_docushare.jsp" %>



<%
	ThirdPartyMessageDB lifeCycleMessageObj =ProjectUtils.getLCMMessagesObjectFromRequest(request);

	if (dssession == null) {
		out.println(AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.dssession_null", currentLocale)));
	    return;
	}

	boolean isLMLicensed = mDSSession.isEnabled(LifecycleManagerConstants.LCM_LICENCE);  // DS7 AR31700
	if(!isLMLicensed) return;
	
	response.setHeader("Cache-Control","max-age=300, must-revalidate");
	
	
	  String[] args = new String[] {"handle"};
	  // call to updateMapsAndCookie changed in 4.0.1
	  String newId = DSSessionManager.getInstance().updateMapsAndCookie(request, response, mDSSession, mDSSession.getCredential(), false);
	  
	  DSConfig dsconfig = ConfigManager.getInstance().getDSConfig();
	  String templatesPath = dsconfig.getTemplatesPath();
	  VDFManager vdfManager = new VDFManager(new File(templatesPath), new String[] {"local", "system", "error"} );
	  WebRequest wsession = MyWebRequest.createWebRequest(getServletConfig().getServletContext(),
	  request.getContentType(), newId, mDSSession, request, response,"CSVSearchReportGenerator", args, request.getQueryString(), vdfManager, currentLocale);
	  
	  VDFSession vdfSessionObj = wsession.getVDFSession();

	  String containerHandle = request.getParameter( "container" );
	  String application1 = request.getParameter("application");
	  String caller = request.getParameter( "page" );
	  LifecycleManagerLogs.logger.debug("caller in redirectView.jsp is: " + caller);
	 
	  	String total_cbx = request.getParameter("total_cbx");
		int maxCheckboxes = 0;
		if (total_cbx != null)
			maxCheckboxes = Integer.parseInt(total_cbx) + 1;  // the total number of checkboxes on the screen, not the number checked.
		
		ArrayList<DSHandle> boxList = (ArrayList<DSHandle>)vdfSessionObj.getPagingValue(containerHandle, application1, VDFSession.CHECK_BOXES, null);
		if (boxList == null) {
			boxList = new ArrayList<DSHandle>(); // List of DSHandles
			vdfSessionObj.setPagingValue(containerHandle, application1, VDFSession.CHECK_BOXES, boxList);
		}
		for (int i = 0; i < maxCheckboxes; i++) {
			// The handle for each line item is stored in a hidden parameter named cbxn_obj
			// where n = the line number on the page.
			String handleString = request.getParameter("cbx" + Integer.toString(i) + "_obj");
			if (handleString == null) break; // we hit this when the pageSize < total
			DSHandle dshandle = new DSHandle(handleString);
			if (request.getParameter("cbx" + Integer.toString(i)) != null) {
				// Check for newly selected checkboxes
				if (!boxList.contains(dshandle))
					boxList.add(dshandle);
			}
			else {
				if (caller != null && !caller.equals("Index")) {
				  // Check that the handle hasn't been deselected.  We can't do this for the Index
				  // page because the same object may appear in multiple locations; if the user
				  // selects the object in one place but not another, the remove algorithm below
				  // may remove the object previously added to the list.
				  try {
					boolean removed = false;
					if (boxList.contains(dshandle))
						removed = boxList.remove(dshandle);
				  } catch (Exception e) {}
				}
			}
		}
		
		for(int k=0; k<boxList.size(); k++){
			  //LifecycleManagerLogs.logger.debug("Box list: " + boxList.get(k));
			  childrenList.add((DSHandle)boxList.get(k));
		  }
	  //*****************************
	  StringBuffer result = new StringBuffer();
	  List<String> propNameList = new ArrayList<String>();
	  List<String> propLabelList = new ArrayList<String>();
	  
	  String propertiesToAdd = PropertyManager.getParameter("propertiesToAdd");  
	  String includeObjectName = PropertyManager.getParameter("includeObjectName");
	  LifecycleManagerLogs.logger.debug("propertiesToAdd : " + propertiesToAdd);
	  try{
	    StringTokenizer st = new StringTokenizer(propertiesToAdd, "::");
	    while(st.hasMoreTokens()) {
	      String token = st.nextToken();
	      propNameList.add(token);
	      
	      if(token != null && token.equalsIgnoreCase("latestVersionDate")) {
	          propLabelList.add(AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.create_date_latest_version", currentLocale)));
	        }else if(token != null && token.equalsIgnoreCase("Owner")) {
	          propLabelList.add(AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.owner", currentLocale)));
	        }else if(token != null && token.equalsIgnoreCase("Handle")) {
	  	        propLabelList.add(AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.handle", currentLocale)));
	        }
	      else {
 		DSObject dsobj = (DSObject)mDSSession.getObject(new DSHandle(containerHandle));
		String originalSpace = mDSSession.getSpace();
		mDSSession.setSpace(dsobj.getSpace());

		String propertyClass = token.substring(0,token.indexOf("."));

		DSClass[] dsclasses = mDSSession.getDSClasses();
		DSClass docClass = null;
		for (DSClass dsclass: dsclasses){
			if (propertyClass.equals(dsclass.getName())){
				docClass = mDSSession.getDSClass(propertyClass);
				break;
			}
		}
		mDSSession.setSpace(originalSpace);
        String propLabel = "";
		
		if (docClass != null){
			try{
				propLabel = docClass.getPropLabel(token, currentLocale);
				LifecycleManagerLogs.logger.debug("Proplabel for report for property name: " + token + " is " + propLabel);
			}catch(Exception ex){
				propLabel = token.substring(token.indexOf(".") + 1, token.length());
			}
			propLabelList.add(propLabel);
		} else {
		      propNameList.remove(token);
		}
      }
	    }
	    LifecycleManagerLogs.logger.debug("All Documents in redirectView.jsp :"+childrenList+", Property Names :"+propNameList+", Property Labels :"+propLabelList);    
	  }
	  catch(Exception e){
		  LifecycleManagerLogs.logger.error("Exception 1 in redirectView ", e);
	  }
	 
	  if(!childrenList.isEmpty()){
		 DSHandle[] handleArrayObj = (DSHandle[])childrenList.toArray(new DSHandle[0]);
		    
		  session.setAttribute("handleArrayObj",handleArrayObj);
		  session.setAttribute("dssession",mDSSession);
		  session.setAttribute("propNameList",propNameList);
		  session.setAttribute("propLabelList",propLabelList);
		  session.setAttribute("includeObjectName",includeObjectName);
	  }
%>


<P>
 
<div id="pageheader_wrapper" class="">      
    <h1><left><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.generate_report", currentLocale)) %></left></h1>
</div>
 
<div id="content">
	<form name='redirectForm'>
		<h2><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.popup_blocker_for_IE", currentLocale)) %></h2>
		<br/><br/>
		<input type='button' value='<< <%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.go_back", currentLocale)) %>' onClick='this.form.action="<%= DSUtils.getURLLink()%><%= DSUtils.getDSWeb()%>/View/<%=request.getParameter("handle")%>";this.form.submit();'/>
	</form>
	</P>

<%@ include file="../footer_docushare.jsp" %>
<%@ include file="../../jsp/common/end.jsp" %>

<%if(!childrenList.isEmpty()){ %>
	<script language="javascript">
		location.href = 'CSVSearchReportGeneratorForIE.jsp';
	</script>
<%}else{%>
	<script language="javascript">
		location.href = 'CSVReportGenerator.jsp?handle=<%=request.getParameter("handle")%>&getAllchildren=true';
	</script>
<%}%>