//AJAX implementation
	function loadXMLDoc(url,callback,method) { 
            var xmlHttp;

            //Set the parameters to a default value for posting
            var parameters = null;

            //If the user didn't pass in a method, assume get
            if (arguments.length < 3) {method = "GET"; } else { method = method.toUpperCase(); }

            //If the user didn't pass in a callback, set it to blank. We will test for this later.
            if (arguments.length < 2) { callback = ''; }            

            //If the method is a post, grab the parameters from the URL String.
            if (method == "POST") { 
                        parameters = Right(url,url.length - url.indexOf('?') - 1);
                        url = Left(url,url.indexOf('?'));
            } else {
                        method = "GET";
            }

            //Create the XML object
            xmlHttp = createXMLHttpRequest();

            //If we got an object, let's work with it!
            if (xmlHttp) {
                //If the callback is not blank, set the callback funtion and pass the xmlHttp object. This is to 
                //allow multiple requests to be running at once.
                try {
	                 if (callback != ''){
					 	xmlHttp.onreadystatechange = function() {
							if (xmlHttp.readyState == 4) {
								if (xmlHttp.status == 200) {
									eval(callback + "(xmlHttp);");
								}
							}
						}
					 }
                } catch(ex) {alert(callback); }
				 
		//Open an HTTP request to the URL
		xmlHttp.open(method, url, true);
                //If this is a post, set the content type to facilitate server side processing
                if (method == "POST") { //Added for AR 26506                	
                     xmlHttp.setRequestHeader("Content-Type", "application/x-www-form-urlencoded; charset=UTF-8;");		     			   	
                }
		//Send the parameters
               	xmlHttp.send(parameters);
		//window.open(url);
           }
           
	}

	function createXMLHttpRequest() {
	   if (window.ActiveXObject) {
	  	var xml = new ActiveXObject("Microsoft.XMLHTTP");
		return xml;
	   }
	   else if (window.XMLHttpRequest) {
	  	var xml = new XMLHttpRequest();
		return xml;
	   } 
	   return null;
	}

	//Added for AR 26506
	function Left(str, n){
		if (n <= 0)
		    return "";
		else if (n > String(str).length)
		    return str;
		else
		    return String(str).substring(0,n);
	}
	
	//Added for AR 26506
	function Right(str, n){
	    if (n <= 0)
	       return "";
	    else if (n > String(str).length)
	       return str;
	    else {
	       var iLen = String(str).length;
	       return String(str).substring(iLen - n, iLen);
	    }
	}